<?php
# Waiting for php 5.3 anonymous functions...
if (!function_exists('a'))
{
    function a(array $attribute)
    {
        $all = array();
        
        foreach ($attribute as $k => $v)
        {
            $all[] = $k . '="' . htmlspecialchars($v) . '"';
        }
        
        return ' ' . implode(' ', $all);
    }
}
#
?>
<?php echo '<?xml', ((isset($xml)) ? a($xml) : ' version="1.0"'), '?>'; ?>
<?php if (isset($link)) : foreach ($link as $l) : echo '<?xml-stylesheet',  a($l), '?>'; endforeach; endif; ?>
<?php echo $content; ?>